Skip to main content
GET
/
deposit
/
tokens
Token catalog
curl --request GET \
  --url https://api.blend.money/extern/{neobankId}/{accountTypeId}/deposit/tokens \
  --header 'X-API-Key: <api-key>'
{
  "status": "<string>",
  "data": [
    {
      "chainId": 1,
      "address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
      "symbol": "USDC",
      "name": "USD Coin",
      "decimals": 6,
      "logoURI": "<string>",
      "price": 123,
      "balance": "<string>",
      "amountUsd": 123
    }
  ]
}

Authorizations

X-API-Key
string
header
required

SHA-256 hashed API key issued per organization

Query Parameters

chainId
integer
required

EVM chain ID

Example:

1

eoa
string

EOA address to filter tokens by wallet holdings EIP-55 checksummed Ethereum address

Pattern: ^0x[0-9a-fA-F]{40}$
Example:

"0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"

Response

Token list

status
string
required
Allowed value: "success"
data
object[]
Last modified on March 20, 2026